------------
-- PRIEST --
------------
if (not Watcher) then
    return;
end

if (select(2, UnitClass('player')) ~= "PRIEST") then
    return;
end


Watcher.classDefaults["PRIEST"] = {
    ["newDefaultDate"] = 1415184354;
    ["priorityLists"] = {
        [1] = {
            ["settings"] = {};
            ["cooldowns"] = {};
            ["name"] = "Discipline";
            ["spellConditions"] = {
                [2] = {
                    ["filterSetId"] = 7;
                    ["spellId"] = 14914;
                };
                [3] = {
                    ["filterSetId"] = 8;
                    ["spellId"] = 129250;
                };
                [1] = {
                    ["filterSetId"] = 1;
                    ["spellId"] = 47540;
                };
                [4] = {
                    ["filterSetId"] = 9;
                    ["spellId"] = 589;
                };
                [5] = {
                    ["filterSetId"] = 2;
                    ["spellId"] = 585;
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 1;
                };
            };
        };
        [2] = {
            ["settings"] = {};
            ["cooldowns"] = {};
            ["name"] = "Holy";
            ["spellConditions"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 2;
                };
            };
        };
        [3] = {
            ["settings"] = {};
            ["cooldowns"] = {};
            ["name"] = "Shadow";
            ["spellConditions"] = {
                [1] = {
                    ["spellId"] = 2944;
                    ["filterSetId"] = 14;
                };
                [2] = {
                    ["spellId"] = 8092;
                    ["filterSetId"] = 15;
                };
                [3] = {
                    ["spellId"] = 32379;
                    ["filterSetId"] = 23;
                };
                [4] = {
                    ["spellId"] = 139139;
                    ["filterSetId"] = 25;
                };
                [5] = {
                    ["spellId"] = 73510;
                    ["filterSetId"] = 18;
                };
                [6] = {
                    ["spellId"] = 589;
                    ["filterSetId"] = 19;
                };
                [7] = {
                    ["spellId"] = 34914;
                    ["filterSetId"] = 21;
                };
                [8] = {
                    ["spellId"] = 15407;
                    ["filterSetId"] = 16;
                };
            };
            ["filters"] = {
                [1] = {
                    ["filterType"] = "spec";
                    ["specNum"] = 3;
                };
            };
        };
    };
    ["version"] = 2;
    ["spells"] = {
        [15407] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [16] = true;
                [17] = true;
            };
        };
        [14914] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [6] = true;
                [7] = true;
            };
        };
        [34914] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [20] = true;
                [21] = true;
            };
        };
        [2944] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [10] = true;
                [14] = true;
            };
        };
        [32379] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [22] = true;
                [23] = true;
            };
        };
        [139139] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [24] = true;
                [25] = true;
            };
        };
        [589] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [19] = true;
                [9] = true;
                [4] = true;
            };
        };
        [585] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [2] = true;
            };
        };
        [47540] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [1] = true;
            };
        };
        [73510] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [13] = true;
                [18] = true;
            };
        };
        [8092] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["label"] = "";
                ["dropdownLabel"] = "";
            };
            ["filterSetIds"] = {
                [11] = true;
                [15] = true;
            };
        };
        [129250] = {
            ["settings"] = {
                ["keepEnoughResources"] = false;
                ["dropdownLabel"] = "";
                ["label"] = "";
            };
            ["filterSetIds"] = {
                [5] = true;
                [8] = true;
            };
        };
    };
    ["filterSets"] = {
        [1] = {
            ["spellId"] = 47540;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [2] = {
            ["spellId"] = 585;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [4] = {
            ["spellId"] = 589;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [8] = {
            ["spellId"] = 129250;
            ["name"] = "With Talent";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["talentNum"] = 19761;
                    ["invert"] = false;
                    ["filterType"] = "talent";
                };
            };
        };
        [16] = {
            ["settings"] = {};
            ["spellId"] = 15407;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [17] = {
            ["settings"] = {};
            ["spellId"] = 15407;
            ["name"] = "If Insane";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Shadow Word: Insanity";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [9] = {
            ["spellId"] = 589;
            ["name"] = "Apply";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Shadow Word: Pain";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["remainingTime"] = 2;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [18] = {
            ["settings"] = {};
            ["spellId"] = 73510;
            ["name"] = "Surge of Darkness";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Surge of Darkness";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 0;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [5] = {
            ["spellId"] = 129250;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [10] = {
            ["settings"] = {};
            ["spellId"] = 2944;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [20] = {
            ["settings"] = {};
            ["spellId"] = 34914;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [21] = {
            ["settings"] = {};
            ["spellId"] = 34914;
            ["name"] = "Keep DoT Up";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Vampiric Touch";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 4;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [11] = {
            ["settings"] = {};
            ["spellId"] = 8092;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [22] = {
            ["settings"] = {};
            ["spellId"] = 32379;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [3] = {
            ["spellId"] = 129250;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [6] = {
            ["spellId"] = 14914;
            ["name"] = "Usable";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [12] = {
            ["settings"] = {};
            ["spellId"] = 32379;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [24] = {
            ["name"] = "Usable";
            ["settings"] = {};
            ["spellId"] = 139139;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
            };
        };
        [25] = {
            ["name"] = "If Insane";
            ["settings"] = {};
            ["spellId"] = 139139;
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["auraType"] = "HELPFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Shadow Word: Insanity";
                    ["unit"] = "player";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = true;
                    ["remainingTime"] = 0;
                    ["stackCount"] = 0;
                    ["trackStacks"] = false;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = false;
                };
            };
        };
        [13] = {
            ["settings"] = {};
            ["spellId"] = 73510;
            ["name"] = "Usable";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
            };
        };
        [7] = {
            ["spellId"] = 14914;
            ["name"] = "No Power Word: Solace";
            ["settings"] = {};
            ["filters"] = {
                [1] = {
                    ["filterType"] = "usability";
                    ["ignore"] = false;
                };
                [2] = {
                    ["talentNum"] = 19761;
                    ["invert"] = true;
                    ["filterType"] = "talent";
                };
            };
        };
        [14] = {
            ["settings"] = {};
            ["spellId"] = 2944;
            ["name"] = "If 3 Orbs";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = 13;
                    ["relationship"] = "At Least";
                    ["value"] = 3;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
        [23] = {
            ["settings"] = {};
            ["spellId"] = 32379;
            ["name"] = "Below 20%";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["threshold"] = 20;
                    ["unit"] = "target";
                    ["relationship"] = "BELOW";
                    ["filterType"] = "health";
                };
            };
        };
        [19] = {
            ["settings"] = {};
            ["spellId"] = 589;
            ["name"] = "Keep DoT Up";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["auraType"] = "HARMFUL";
                    ["playerIsCaster"] = true;
                    ["auraName"] = "Shadow Word: Pain";
                    ["unit"] = "target";
                    ["remainingTimeRelationship"] = "BELOW";
                    ["filterType"] = "auras";
                    ["ifExists"] = false;
                    ["trackStacks"] = false;
                    ["stackCount"] = 0;
                    ["remainingTime"] = 5;
                    ["stackRelationship"] = "At Least";
                    ["trackRemainingTime"] = true;
                };
            };
        };
        [15] = {
            ["settings"] = {};
            ["spellId"] = 8092;
            ["name"] = "Don't Cap Orbs";
            ["filters"] = {
                [1] = {
                    ["ignore"] = false;
                    ["filterType"] = "usability";
                };
                [2] = {
                    ["optionalBehavior"] = "";
                    ["resourceType"] = 13;
                    ["relationship"] = "At Most";
                    ["value"] = 2;
                    ["filterType"] = "secondaryResource";
                };
            };
        };
    };
};
